Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.ifs.server
Class AtomicOperation

    java.lang.Object
      oracle.ifs.server.AtomicOperation

    public final class AtomicOperation

extends java.lang.Object

An AtomicOperation is a specific task that is executed as part of an entire OperationState.

(Published)

Field Summary
`java.lang.Object` | `m_CustomObject` custom object associated with this Atomic operation.
`S_LibraryObjectDefinition` | `m_Definition` Definition for the operation.
`S_LibraryObject` | `m_Object` The target object for the operation
`int` | `m_OperationType` The type of operation

Constructor Summary
`AtomicOperation(S_LibraryObject obj, int operationType, S_LibraryObjectDefinition sdef, java.lang.Object customObj)` Construct an AtomicOperation.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### m_Object

    public S_LibraryObject m_Object

  Description copied from class: `AtomicOperation`
  The target object for the operation

  (Unpublished)

### m_OperationType

    public int m_OperationType

  Description copied from class: `AtomicOperation`
  The type of operation

  (Unpublished)

### m_Definition

    public S_LibraryObjectDefinition m_Definition

  Description copied from class: `AtomicOperation`
  Definition for the operation. This can be null for some operations such as free().

  (Unpublished)

### m_CustomObject

    public java.lang.Object m_CustomObject

  Description copied from class: `AtomicOperation`
  custom object associated with this Atomic operation.

  (Unpublished)

Constructor Detail

### AtomicOperation

    public AtomicOperation(S_LibraryObject obj,
                           int operationType,
                           S_LibraryObjectDefinition sdef,
                           java.lang.Object customObj)

  Construct an AtomicOperation.

  Parameters:
    `obj` - the target object for this atomic operation
    `operationType` - the operation type
    `sdef` - any options or info related to the atomic operation
    `customObj` - the custom object that is related to the operation
  (Unpublished)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD